Skip to main content
GET
/
event-destinations
List event destinations
curl --request GET \
  --url https://api.deck.co/v2/event-destinations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "type": "<string>",
      "events": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "object": "<string>",
      "request_id": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Clerk JWT, client credential JWT, or secret key (sk_live_...)

Query Parameters

Limit

Maximum number of items to return (1-100, default 20)

starting_after
string

Cursor for forward pagination. Pass the ID of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Pass the ID of the first item from the previous page.

Response

OK

data
object[]
has_more
boolean
next_cursor
null | string
request_id
null | string